Subject: [Iccrg] LT-TCP followup
From: [email-masked] (Vijay Subramanian)
Date: Fri Jul 27 14:13:01 2007

Hi folks,

As a followup to the recent talk on Loss-Tolerant TCP at the ICCRG
meeting in Chicago,
I am posting a set of links to our papers below.
1: Paper in IwQos 2005 : http://poisson.ecse.rpi.edu/~vijay/web/work/lttcp.pdf
2: Paper in Milcom 2006 : http://poisson.ecse.rpi.edu/~vijay/web/work/milcom.pdf
3: Paper in Wisard 2006: http://poisson.ecse.rpi.edu/~vijay/web/work/wisard.pdf
4: Draft of a paper under preparation:
        http://poisson.ecse.rpi.edu/~vijay/web/work/draft-paper-balance.pdf

Other relevant papers can be found at
http://poisson.ecse.rpi.edu/~vijay/web/research.html

The Chicago talk is available in ppt and pdf format at
http://poisson.ecse.rpi.edu/~vijay/web/presentations.html
The pdf link is
http://poisson.ecse.rpi.edu/~vijay/web/work/presentations/ietf-july07-vijay.pdf

Also available on that page is the initial talk given to ICCRG by Dr
KK Ramakrishnan in Feb 2007. The pdf link is
http://poisson.ecse.rpi.edu/~vijay/web/work/presentations/iccrg-presentation.pdf

Thanks again for providing an opportunity to present at IETF and for the 
feedback. We will follow up on this with a discussion of how LT-TCP can play a 
role in solving some of the open research problems discussed in the "Open 
Research Issues in Internet Congestion Control" draft.

Vijay Subramanian

Networks Lab, RPI :
Phone: 518-276-8289
http://poisson.ecse.rpi.edu/~vijay

From: [email-masked] (Murari Sridharan)
Date: Thu Jul 26 16:30:31 2007
Subject: [Iccrg] RE: [tcpm] Compound TCP: draft-sridharan-tcpm-ctcp-00.txt
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Posting our IETF presentation and few papers (as requested by iccrg) in pdf format

http://research.microsoft.com/users/dthaler/IETF%20-%20Compound%20TCP.pdf

http://research.microsoft.com/users/dthaler/ctcp-infocom06.pdf

this is the paper that greatly improves the TCP fairness problems in low-buffered links by automatically tuning the gamma parameter.
http://research.microsoft.com/users/dthaler/ctcp-tube.pdf

From: Murari Sridharan [mailto:[email-masked]]
Sent: Wednesday, July 18, 2007 8:39 PM
To: [email-masked]; [email-masked]; [email-masked]'; [email-masked]
Cc: Deepak Bansal (NETWORKING); Dave Thaler
Subject: [tcpm] Compound TCP: draft-sridharan-tcpm-ctcp-00.txt

Folks,

We have written a Experimental RFC for Compound TCP. You can find the current draft at http://research.microsoft.com/users/dthaler/draft-sridharan-tcpm-ctcp-00.txt
This is to kick off the process outlined in Lars' cc-alt ION. We will also be presenting Compound TCP at the ICCRG meeting in Chicago next week.

Thanks

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20070726/5178636b/attachment.html
>From [email-masked]  Thu Jul 26 20:09:03 2007
From: [email-masked] (Cesar Marcondes)
Date: Thu Jul 26 20:10:20 2007
Subject: [Iccrg] ICCRG Meeting Presentation (TCP Libra and TCP Performance
 Evaluation Tool)
Message-ID: <[email-masked]>

Dear ICCRG members,

   As suggested by ICCRG members. We are posting links to the
presentation and related papers on the topics:

   http://www.cs.ucla.edu/~cesar/ICCRG_Chicago_UCLA.pdf (Presentation)

   In addition, complementar papers on:

   "TCP Libra - RTT-Fairness for TCP" - this is an UCLA research
effort to obtain a control-theoretical stable and scalable protocol
that provides a good balance on RTT-fairness, friendliness and
utilization.

    http://www.cs.unibo.it/~cpalazzi/papers/Palazzi-libra-networking.pdf
(IFIP/Networking07)
    http://www.tcplibra.org/2005-TR050037.pdf (technical report -
stability proofs)

    "TCP Evaluation Suite" - Assuming that the proposed congestion
control schemes would be in general used in the Internet, it is
important to study the interaction among flows of different schemes.
Thus, this new simulation "TCP evaluation suite" can assess
interaction among different congestion control proposals, by applying
the same experiment setup, including network configuration, flow
parameters, and workload. Finally, qualitative comparison automatic
graphs can be generated assessing flow-by-flow behavior of different
schemes.

    http://wil.cs.caltech.edu/pfldnet2007/paper/AssessingInteractions.pdf
(TCP Evaluation Suite paper)

Best regards,
Cesar

From: [email-masked] (Cesar Marcondes)
Date: Wed Jul 25 01:58:41 2007
Subject: [Iccrg] TCP Evaluation Suite Tool
Message-ID: <[email-masked]>

Dear ICCRG community,

We would like to share with this community, this new website of TCP
Evaluation Suite.
http://netlab.cs.ucla.edu/tcpsuite/

TCP Researchers can download and use this tool for TCP safety study.
As discussed in the ICCRG meeting, our efforts are on study the
trade-offs of the protocols.

We would appreciate your any comments and contributions to the suite.

Best regards,
Cesar

From: [email-masked] (Wesley Eddy)
Date: Tue Jul 24 17:00:01 2007
Subject: [Iccrg] Meeting today
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

On Tue, Jul 24, 2007 at 04:24:13PM +0200, Michael Welzl wrote:
> Dear all,
> 
> According to the agenda at
> https://datatracker.ietf.org/meeting/69/agenda.html
> this group will meet at 17:40 today in Chicago.
> 

The presentation slides that I've received so far are at:
https://datatracker.ietf.org/meeting/69/materials.html

Other offsite people should be able to catch the mp3 stream
via:
http://videolab.uoregon.edu/events/ietf/
and selecting the "Monroe" room (channel 8).

-- 
Wesley M. Eddy
Verizon Federal Network Systems

From: [email-masked] (Lars Eggert)
Date: Mon Jul  9 15:21:09 2007
Subject: [Iccrg] Re: [Tsvwg] Re: [tsv-area] consensus call: bringing new  congestion control to the IETF
In-Reply-To: <[email-masked]>
References: <[email-masked]><[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On 2007-6-14, at 18:02, ext Lars Eggert wrote:
> This ION has since been discussed by the IESG and several changes  
> have been suggested that I have rolled into a new revision. Mostly,  
> these changes clarify that the expert review in the ICCRG that the  
> ION describes is a mechanism that the transport ADs are free to  
> employ anyway for documents that the area produces. It only  
> clarifies that for new congestion control schemes, the ADs _will_  
> request such an expert review.
>
> I'd like to double-check that the area still has consensus on the  
> revised ION, before I bring it back to the IESG for final approval.  
> Please send comments by next Friday, June 22.

FYI, the IESG has approved this ION during the last telechat.

Lars
-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 2446 bytes
Desc: not available
Url : http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20070709/e0041dda/smime.bin
>From [email-masked]  Thu Jul 19 04:38:46 2007
From: [email-masked] (Murari Sridharan)
Date: Thu Jul 19 04:39:53 2007
Subject: [Iccrg] Compound TCP: draft-sridharan-tcpm-ctcp-00.txt
Message-ID: <[email-masked]>

Folks,

We have written a Experimental RFC for Compound TCP. You can find the current draft at http://research.microsoft.com/users/dthaler/draft-sridharan-tcpm-ctcp-00.txt
This is to kick off the process outlined in Lars' cc-alt ION. We will also be presenting Compound TCP at the ICCRG meeting in Chicago next week.

Thanks

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20070718/532dfed4/attachment.html
>From [email-masked]  Tue Jul 24 15:24:13 2007
From: [email-masked] (Michael Welzl)
Date: Tue Jul 24 15:27:25 2007
Subject: [Iccrg] Meeting today
Message-ID: <[email-masked]>

Dear all,

According to the agenda at
https://datatracker.ietf.org/meeting/69/agenda.html
this group will meet at 17:40 today in Chicago.

I would like to apologize for not being able to attend, not even
online (the time delay makes that a little difficult) - but I'm
totally sure that Wes is going to run it just fine.

What remains for me is to wish you a nice and fruitful meeting!

See you next time (most probably in Manchester, co-located
with Pfldnet), and have fun!

Cheers
Michael

--
PS: Thanks to Dimitri for presenting our draft! Feel
free to agree on some major polishing work now if needed,
assuming that I will take care of it, ok? You already
did so much for this...

From: [email-masked] (Wesley Eddy)
Date: Fri Jul  6 16:47:13 2007
Subject: [Iccrg] meeting agenda
Message-ID: <[email-masked]>

I've posted a draft of the agenda for the ICCRG meeting at IETF 69 in
Chicago:
http://www3.ietf.org/proceedings/07jul/agenda/iccrg.txt

We have room for more presentations in the 2.5 hour timeslot I
requested; just send me an email in the next week if there's something
you'd like to discuss.  We're open to discuss any topics that fall under
(or near to) our charter:
http://www.irtf.org/charter?gtype=rg&group=iccrg

Here's an inline copy of what we have scheduled so far:

Internet Congestion Control Research Group (ICCRG) Agenda for IETF 69

(1) Update on draft-irtf-iccrg-cc-rfcs
    (5 minutes)

(2) Dimitri Papadimitriou - ICCRG Open Research Problems draft
    (20 minutes)

(3) Cesar Marcondes - Recent Congestion Control Work at UCLA
    (20 minutes)

(4) Vijay Subramanian - Update on Loss-Tolerant TCP Work
    (20 minutes)

(5) Dirceu Cavendish - Lossless Congestion Control
    (20 minutes)

-- 
Wesley M. Eddy
Verizon Federal Network Systems